Bug 653340 - [kvm] VIRT-IO NIC state is reported as 'unknown' on vm running over RHEL6 host [rhel-6.0.z]
Summary: [kvm] VIRT-IO NIC state is reported as 'unknown' on vm running over RHEL6 hos...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 646369
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 09:48 UTC by RHEL Product and Program Management
Modified: 2013-01-09 23:20 UTC (History)
17 users (show)

Fixed In Version: kernel-2.6.32-71.10.1.el6
Doc Type: Bug Fix
Doc Text:
When using a VIRT-IO (Virtual Input/Output) NIC (Network Interface Controller), its state was reported as unknown instead of its real state (up or down). This was due to the fact that the device could not report the state status. With this update, when a device is not capable of reporting the current state, it is assumed the state is up or the state is read from the config file.
Clone Of:
Environment:
Last Closed: 2011-01-11 19:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC

Description RHEL Product and Program Management 2010-11-15 09:48:32 UTC
This bug has been copied from bug #646369 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-11-30 11:48:12 UTC
in 2.6.32-71.10.1.el6

Comment 4 Chao Yang 2010-12-15 10:13:26 UTC
verified with virtio nic on rhel6.0.z guest, did not hit this issue.

#/usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -startdate now -name RHEL6.0.z -smp 2 -m 4G -boot c -net nic,vlan=2,macaddr=12:44:11:36:55:fe,model=virtio -net tap,vlan=2,script=/etc/qemu-ifup -drive file=/root/rhel6_64.qcow2,media=disk,if=ide,cache=none,format=qcow2,werror=stop -vnc :19 -cpu qemu64 -M rhel5.5.0 -notify all -balloon none -monitor stdio

# ifconfig eth1 down
[root@dhcp-66-83-224 Desktop]# cat /sys/class/net/eth1/operstate 
down
[root@dhcp-66-83-224 Desktop]# ifconfig eth1 up
[root@dhcp-66-83-224 Desktop]# cat /sys/class/net/eth1/operstate 
up

# uname -r
2.6.32-71.13.1.el6.x86_64

Comment 5 Chao Yang 2010-12-28 05:20:18 UTC
based on comment 4, change state to verified.

Comment 6 Chao Yang 2010-12-28 05:22:33 UTC
based on comment 4, change state to verified.

Comment 8 errata-xmlrpc 2011-01-11 19:47:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0007.html

Comment 9 Martin Prpič 2011-01-12 12:54:54 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using a VIRT-IO (Virtual Input/Output) NIC (Network Interface Controller), its state was reported as unknown instead of its real state (up or down). This was due to the fact that the device could not report the state status. With this update, when a device is not capable of reporting the current state, it is assumed the state is up or the state is read from the config file.


Note You need to log in before you can comment on or make changes to this bug.